com.mapinfo.midev.dp.file

## Class FileDataSourceDefinition

- java.lang.Object
- - com.mapinfo.midev.dp.file.FileDataSourceDefinition

All Implemented Interfaces:
  IDataSourceDefinition

Direct Known Subclasses:
  NativeDataSourceDefinition, ShapeDataSourceDefinition

    public class FileDataSourceDefinition
    extends Object
    implements IDataSourceDefinition

The definition of a data source that refers to a directory on a file system.

### Constructor Summary

Constructors
Constructor and Description
`FileDataSourceDefinition()` Create the data source definition with no specified connection information.
`FileDataSourceDefinition(FileConnectionDefinition connectionDefinition)` Create the data source definition with the specified connection information.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`FileConnectionDefinition` `getConnectionDefinition()` Get the connection information from the data source definition.
`IDataProvider` `getDataProvider()` References the data provider implementation that supports this datasource type.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileDataSourceDefinition

    public FileDataSourceDefinition()

Create the data source definition with no specified connection information.

#### FileDataSourceDefinition

    public FileDataSourceDefinition(FileConnectionDefinition connectionDefinition)

Create the data source definition with the specified connection information.

### Method Detail

#### getConnectionDefinition

    public FileConnectionDefinition getConnectionDefinition()

Get the connection information from the data source definition.

Returns:
  the connection information from the data source definition. May be null.

#### getDataProvider

    public IDataProvider getDataProvider()

Description copied from interface: `IDataSourceDefinition`
References the data provider implementation that supports this datasource type.

Specified by:
  `getDataProvider` in interface `IDataSourceDefinition`
Returns:
  the data provider that supports this datasource type.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`